Subject: [bug#42208] [PATCH 0/1] weather: Print 0.0% correctly.

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 05 Jul 2020 09:54:26 +0200

Hello Arun,

> "0.0% substitutes unavailable". I didn't know what the '2' specifying width in
> ~2,1f was for. Hence, I have removed it. Feel free to correct me if I did
> something wrong.

This "2" is the width argument of the ~f parameter (see
https://www.gnu.org/software/guile/manual/html_node/Formatted-Output.html).

It's supposed to pad left with spaces if the output is less than "2"
characters. Anyway, the zero case is not handled properly as you
noticed, so this looks good to me.

Thanks,

Mathieu